
using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.FO
{
    /// <summary>
    /// 作业方案讨论记录参会人员表
    /// </summary>
    [Description("作业方案讨论记录参会人员表")]
    public class T_FO_PRE_OPER_SCH_USER : MesEntityBase
    {
        [Description("作业方案讨论记录ID")]
        [DataFieldForeignKey("Nav_PreOperSch", "Nav_PreOperSchUser")]   //定义导航属性外键
        public Guid PRE_OPER_SCH_ID { get; set; }   //建立当前表字段

        //----------------------------------------------------
        [Description("导航属性：主记录")]   //建立主表与子表的查询逻辑关系
        public virtual T_FO_PRE_OPER_SCH Nav_PreOperSch { get; set; }

        //----------------------------------------------------

        [Description("人员ID")]
        [DataFieldForeignKey("Nav_User")]
        public Guid USER_ID { get; set; }   //建立当前表字段

        [Description("人员")]
        [FormFieldEdit]
        public virtual T_FM_USER Nav_User { get; set; }

        //--------------------------------------------------------

        [Description("人员岗位ID")]
        [DataFieldForeignKey("Nav_RealDepartmentPost")]

        public Guid? REAL_DEPARTMENT_POST_ID { get; set; }      //?为可空字段
        [Description("岗位")]
        [FormFieldEdit]
        public virtual T_FM_USER_POST Nav_RealDepartmentPost { get; set; }  //T_FM_USER_POST为岗位表


        //---------------------------------------------------
        [Description("处理状态")]
        [EnumName("FOUserShiftStatusEnum")]     //为枚举（0待处理 1已处理）
        public int DEAL_STATUS { get; set; }

       

    }
}
